Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.plugin
Class ActionCategoryInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.plugin.InfoObject
            |
            +--com.bea.wlpi.common.plugin.ActionCategoryInfo

Direct Known Subclasses:
  ActionInfo, CategoryInfo

public abstract class ActionCategoryInfo
extends InfoObject

Provides information about an action or action category defined by a plugin. The abstract base class for `ActionInfo` and `CategoryInfo`.

Since:
  WebLogic Process Integrator 2.0
Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`static int` | `ID_EXCEPTION` Standard category system ID for exception handling actions.
`static int` | `ID_INTEGRATION` Standard category system ID for integration actions.
`static int` | `ID_MISCELLANEOUS` Standard category system ID for miscellaneous actions.
`static int` | `ID_NEW` Initial category ID for plugin-defined categories.
`static int` | `ID_TASK` Standard category system ID for task related actions.
`static int` | `ID_WORKFLOW` Standard category system ID for workflow related actions.
`protected int` | `parentSystemID` The system ID of the parent category.

Fields inherited from class com.bea.wlpi.common.plugin.InfoObject
`classNames, description, ID, name, pluginName`

Constructor Summary
`ActionCategoryInfo(java.lang.String pluginName, int ID, java.lang.String name, java.lang.String description, int parentSystemID, java.lang.String[] classNames)` Create a new `ActionCategoryInfo` object.

Method Summary
`int` | `getParentSystemID()` Return the system ID this object's parent category.

Methods inherited from class com.bea.wlpi.common.plugin.InfoObject
`compareTo, equals, getClassName, getDescription, getID, getName, getPluginName, imageStreamToByteArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID_NEW

    public static final int ID_NEW

  Initial category ID for plugin-defined categories.

### ID_TASK

    public static final int ID_TASK

  Standard category system ID for task related actions.

### ID_WORKFLOW

    public static final int ID_WORKFLOW

  Standard category system ID for workflow related actions.

### ID_INTEGRATION

    public static final int ID_INTEGRATION

  Standard category system ID for integration actions.

### ID_MISCELLANEOUS

    public static final int ID_MISCELLANEOUS

  Standard category system ID for miscellaneous actions.

### ID_EXCEPTION

    public static final int ID_EXCEPTION

  Standard category system ID for exception handling actions.

### parentSystemID

    protected int parentSystemID

  The system ID of the parent category.

Constructor Detail

### ActionCategoryInfo

    public ActionCategoryInfo(java.lang.String pluginName,
                              int ID,
                              java.lang.String name,
                              java.lang.String description,
                              int parentSystemID,
                              java.lang.String[] classNames)

  Create a new `ActionCategoryInfo` object.

  Parameters:
    `pluginName` - The reverse-DNS name of the plugin supplying this action or category.
    `ID` - The unique plugin-supplied identifier for this action or category.
    `name` - The localized name of this action or category.
    `description` - The localized description of this action or category.
    `parentSystemID` - The system ID of this object's parent category, as assigned by the Plugin Manager.
    `classNames` - Array to identify plugin-supplied classes related to this `ActionCategoryInfo`. The array contains one entry for each of the `KEY_*` values listed in the subclass. The value for each entry is the corresponding fully qualified Java class name.

Method Detail

### getParentSystemID

    public int getParentSystemID()

  Return the system ID this object's parent category.

  Returns:
    The parent category's system ID.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)